echo "Déploiement de Gitea"
echo "Installation des dépendances"
# sudo apt update && sudo apt dist-upgrade
# sudo apt install -y apt-transport-https ca-certificates lsb-release docker docker-compose
echo "version: \"3\"
services:
    gitea:
        image: gitea/gitea:1.15.6
        container_name: gitea-1.15.6
        depends_on:
            - db
        environment:
            - USER_UID=1000
            - USER_GID=1000
            - GITEA__database__DB_TYPE=postgres
            - GITEA__database__HOST=db:5432
            - GITEA__database__NAME=gitea
            - GITEA__database__USER=gitea
            - GITEA__database__PASSWD=\${GITEA_DB_PWD}
        networks:
            - gitea
        ports:
            - \"3000:3000\"
            - \"2222:22\"
        volumes:
            - ./gitea:/data
            - /etc/timezone:/etc/timezone:ro
            - /etc/localtime:/etc/localtime:ro
        restart: unless-stopped

    db:
        image: postgres:13-bullseye
        volumes:
            - ./postgres:/var/lib/postgresql/data
        networks:
            - gitea
        environment:
            - POSTGRES_USER=gitea
            - POSTGRES_PASSWORD=\${GITEA_DB_PWD}
            - POSTGRES_DB=gitea
        restart: unless-stopped

networks:
    gitea:
        external: false

"> ./docker-compose.yml

cat docker-compose.yml

docker-compose up --build -d
